%define _catdir /var/cache/man
%define pver P1

Summary:	The ISC DHCP (Dynamic Host Configuration Protocol) server/relay agent/client
Name:		dhcp
Epoch:		3
Version:	4.2.1
Release:	%mkrel 0.%{pver}.2
License:	Distributable
Group:		System/Servers
URL:		https://www.isc.org/software/dhcp
Source0:	ftp://ftp.isc.org/isc/%{name}/%{name}-%{version}-%{pver}.tar.gz
Source1:	ftp://ftp.isc.org/isc/%{name}/%{name}-%{version}-%{pver}.tar.gz.sha512.asc
Source2:	dhcpd.conf
Source3:	dhcpd.init
Source4:	dhcp-dynamic-dns-examples.tar.bz2
Source5:	dhcrelay.init
Source6:	update_dhcp.pl
Source7:	dhcpreport.pl
Source8:	dhcpd-chroot.sh
# (eugeni) dhclient-exit-hooks script
Source9:	dhclient-exit-hooks
Source12:	draft-ietf-dhc-ldap-schema-01.txt
# customize ifup script
Patch0:		dhcp-4.1.1-ifup.patch
Patch5:		dhcp-4.1.1-format_not_a_string_literal_and_no_format_arguments.patch
# (fc) 4.1.0-3mdv no IPv6 is no longer fatal for dhclient
Patch6:		dhcp-4.1.1-missing-ipv6-not-fatal.patch
# prevents needless deassociation, working around mdv bug #43441
Patch7:		dhcp-4.1.1-prevent_wireless_deassociation.patch
# redhat bug #587070
Patch9:		dhcp-4.1.1-useless-wait.patch
Patch10:	dhcp-4.2.1-P1-CVE-2011-2748,2749.diff
BuildRequires:	perl groff-for-man
BuildRequires:	openldap-devel
Provides:	dhcpd
Obsoletes:	dhcpd < 3.0.6
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows 
individual devices on an IP network to get their own network configuration
information (IP address, subnetmask, broadcast address, etc.) from a DHCP
server. The overall purpose of DHCP is to make it easier to administer a 
large network. The dhcp package includes the DHCP server and a DHCP relay
agent. You will also need to install the dhcp-client or dhcpcd package,
or pump or dhcpxd, which provides the DHCP client daemon, on client machines.

If you want the DHCP server and/or relay, you will also need to install the
dhcp-server and/or dhcp-relay packages.

%package common
Summary:	The ISC DHCP (Dynamic Host Configuration Protocol) server
Group:		System/Servers

%description common
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows 
individual devices on an IP network to get their own network 
configuration information (IP address, subnetmask, broadcast address, 
etc.) from a DHCP server.  The overall purpose of DHCP is to make it 
easier to administer a large network.  The dhcp package includes the 
DHCP server and a DHCP relay agent.

You will also need to install the dhcp-client or dhcpcd package, or pump or
dhcpxd, which provides the DHCP client daemon, on  client machines. If you
want the DHCP server and/or relay, you will also need to install the
dhcp-server and/or dhcp-relay packages.

%package doc
Summary:	Documentation about the ISC DHCP server/client
Group:		System/Servers

%description doc
This package contains RFC/API/protocol documentation about the ISC
DHCP server and client.

DHCP (Dynamic Host Configuration Protocol) is a protocol which allows 
individual devices on an IP network to get their own network 
configuration information (IP address, subnetmask, broadcast address, 
etc.) from a DHCP server.  The overall purpose of DHCP is to make it 
easier to administer a large network.  The dhcp package includes the 
DHCP server and a DHCP relay agent.

%package server
Summary:	The ISC DHCP (Dynamic Host Configuration Protocol) server
Group:		System/Servers
Requires:	dhcp-common = %{epoch}:%{version}-%{release}
Requires(post):	rpm-helper
Requires(preun): rpm-helper
Obsoletes:	dhcp < 3.0.6
Provides:	dhcp

%description server
DHCP server is the Internet Software Consortium (ISC) DHCP server for various
UNIX operating systems. It allows a UNIX mac hine to serve DHCP requests from
the network.

You should install dhcp-server if you want to set up a DHCP server on your
network. You will also need to install the base dhcp package.

%package client
Summary:	The ISC DHCP (Dynamic Host Configuration Protocol) client
Group:		System/Servers
Requires:	dhcp-common = %{epoch}:%{version}-%{release}

%description client
DHCP client is the Internet Software Consortium (ISC) DHCP client for various
UNIX operating systems.  It allows a UNIX mac hine to obtain it's networking
parameters from a DHCP server.

You should install dhcp-client if you want to use the ISC DHCP client instead
of the Red Hat DHCP client, pump, or dhcpcd, or dhcpxd. You will also need to
install the base dhcp package.

%package relay
Summary:	The ISC DHCP (Dynamic Host Configuration Protocol) relay
Group:		System/Servers
Requires:	dhcp-common = %{epoch}:%{version}-%{release}
Requires(post):	rpm-helper
Requires(preun): rpm-helper

%description relay
DHCP relay is the Internet Software Consortium (ISC) relay agent for DHCP
packets. It is used on a subnet with DHCP clients to "relay" their requests
to a subnet that has a DHCP server on it. Because DHCP packets can be
broadcast, they will not be routed off of the local subnet. The DHCP relay
takes care of this for the client. You will need to set the environment
variable SERVERS and optionally OPTIONS in /etc/sysconfig/dhcrelay before
starting the server.

%package devel
Summary:	Development headers and libraries for the dhcpctl API
Group:		Development/Other
Requires:	dhcp-common = %{epoch}:%{version}-%{release}

%description devel
DHCP devel contains all of the libraries and headers for developing with the
Internet Software Consortium (ISC) dhcpctl API.

%prep

%setup -q -n %{name}-%{version}-%{pver} -a4
%patch0 -p1 -b .ifup
%patch5 -p1 -b .format_not_a_string_literal_and_no_format_arguments
%patch6 -p1 -b .noipv6nonfatal
%patch7 -p1 -b .prevent_wireless_deassociation
%patch9 -p0 -b .useless_wait
%patch10 -p1 -b .CVE-2011-2748,2749

install -m0644 %{SOURCE12} doc

%build
%serverbuild
%configure2_5x --enable-paranoia --enable-early-chroot \
    --with-ldapcrypto \
    --with-srv-lease-file=%{_var}/lib/dhcp/dhcpd.leases \
    --with-srv6-lease-file=%{_var}/lib/dhcp/dhcpd6.leases \
    --with-cli-lease-file=%{_var}/lib/dhcp/dhclient.leases \
    --with-cli6-lease-file=%{_var}/lib/dhcp/dhclient6.leases \
    --with-srv-pid-file=%{_var}/run/dhcpd/dhcpd.pid \
    --with-srv6-pid-file=%{_var}/run/dhcpd/dhcpd6.pid \
    --with-cli-pid-file=%{_var}/run/dhclient.pid \
    --with-cli6-pid-file=%{_var}/run/dhclient6.pid \
    --with-relay-pid-file=%{_var}/run/dhcrelay.pid

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_var}/lib/dhcp
install -d %{buildroot}%{_var}/run/dhcpd

%makeinstall_std

# Install correct dhclient-script
%{__mkdir} -p %{buildroot}/sbin
%{__mv} %{buildroot}%{_sbindir}/dhclient %{buildroot}/sbin/dhclient
%{__install} -p -m 0755 client/scripts/linux %{buildroot}/sbin/dhclient-script


install -m0755 %{SOURCE3} %{buildroot}%{_initrddir}/dhcpd
install -m0755 %{SOURCE5} %{buildroot}%{_initrddir}/dhcrelay
install -m0755 %{SOURCE6} %{SOURCE7} %{SOURCE8} %{buildroot}%{_sbindir}/
install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/
install -m0755 contrib/ldap/dhcpd-conf-to-ldap %{buildroot}%{_sbindir}/

# install exit-hooks script to /etc/
install -m0755 %{SOURCE9} %{buildroot}%{_sysconfdir}/

cat > %{buildroot}%{_sysconfdir}/sysconfig/dhcpd <<EOF
# You can set here various option for dhcpd

# Which configuration file to use.
# CONFIGFILE="/etc/dhcpd.conf"

# Where to store the lease state information.
# LEASEFILE="/var/lib/dhcp/dhcpd.leases"

# Define INTERFACES to limit which network interfaces dhcpd listens on.
# The default null value causes dhcpd to listen on all interfaces.
#INTERFACES=""

# Define OPTIONS with any other options to pass to the dhcpd server.
# See dhcpd(8) for available options and syntax.
OPTIONS="-q"

EOF

touch %{buildroot}%{_var}/lib/dhcp/dhcpd.leases
touch %{buildroot}%{_var}/lib/dhcp/dhclient.leases

cat > %{buildroot}%{_sysconfdir}/sysconfig/dhcrelay <<EOF
# Define SERVERS with a list of one or more DHCP servers where
# DHCP packets are to be relayed to and from.  This is mandatory.
#SERVERS="10.11.12.13 10.9.8.7"
SERVERS=""

# Define OPTIONS with any other options to pass to the dhcrelay server.
# See dhcrelay(8) for available options and syntax.
#OPTIONS="-q -i eth0 -i eth1"
OPTIONS="-q"
EOF

find . -type d -exec chmod 0755 {} \;
find . -type f -exec chmod 0644 {} \;

rm -rf doc/ja_JP.eucJP

# remove empty files
find -size 0 |grep ldap | xargs rm -rf 

# remove unwanted file
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/dhclient.conf

%post server
%_post_service dhcpd
# New dhcpd lease file
if [ ! -f %{_var}/lib/dhcp/dhcpd.leases ]; then
    touch %{_var}/lib/dhcp/dhcpd.leases
fi

if [ $1 = 0 ]; then
	%{_initrddir}/dhcpd start
fi

#update an eventual installed dhcp-2* server
if [ -f %{_sysconfdir}/dhcpd.conf ]; then
	perl %{_sbindir}/update_dhcp.pl
fi

%preun server
%_preun_service dhcpd

%postun server
if [ "$1" -ge "1" ]; then
    /sbin/service dhcpd condrestart >/dev/null 2>&1  
fi

%post relay
%_post_service dhcrelay

%preun relay
%_preun_service dhcrelay

%postun relay
if [ "$1" -ge "1" ]; then
    /sbin/service dhcrelay condrestart >/dev/null 2>&1
fi

%post client
touch /var/lib/dhcp/dhclient.leases

%postun client
rm -rf /var/lib/dhcp/dhclient.leases

%clean
rm -rf %{buildroot}

%files common
%defattr(-,root,root)
%doc README contrib/ldap/README.ldap RELNOTES
%doc contrib/3.0b1-lease-convert
%dir %{_var}/lib/dhcp
%{_mandir}/man5/dhcp-options.5*

%files doc
%defattr(-,root,root)
%doc doc/*

%files server
%defattr(-,root,root)
%doc server/dhcpd.conf tests/failover contrib/ldap/dhcp.schema
%{_initrddir}/dhcpd
%config(noreplace) %{_sysconfdir}/dhcpd.conf
%config(noreplace) %{_sysconfdir}/dhclient-exit-hooks
%config(noreplace) %{_sysconfdir}/sysconfig/dhcpd
%config(noreplace) %ghost %{_var}/lib/dhcp/dhcpd.leases
%{_sbindir}/dhcpd
%{_sbindir}/update_dhcp.pl
%{_sbindir}/dhcpreport.pl
%{_sbindir}/dhcpd-conf-to-ldap
%{_sbindir}/dhcpd-chroot.sh
%{_bindir}/omshell
%{_mandir}/man1/omshell.1*
%{_mandir}/man3/omapi.3*
%{_mandir}/man5/dhcpd.conf.5*
%{_mandir}/man5/dhcpd.leases.5*
%{_mandir}/man5/dhcp-eval.5*
%{_mandir}/man8/dhcpd.8*
%dir %{_var}/run/dhcpd

%files relay
%defattr(-,root,root)
%{_initrddir}/dhcrelay
%config(noreplace) %{_sysconfdir}/sysconfig/dhcrelay
%{_sbindir}/dhcrelay
%{_mandir}/man8/dhcrelay.8*

%files client
%defattr(-,root,root)
%doc client/dhclient.conf
%config(noreplace) %ghost %{_var}/lib/dhcp/dhclient.leases
%attr (0755,root,root) /sbin/dhclient-script
/sbin/dhclient
%{_mandir}/man5/dhclient.conf.5*
%{_mandir}/man5/dhclient.leases.5*
%{_mandir}/man8/dhclient.8*
%{_mandir}/man8/dhclient-script.8*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_mandir}/man3/*


%changelog
* Thu Aug 18 2011 Oden Eriksson <oeriksson@mandriva.com> 3:4.2.1-0.P1.2mdv2011.0
+ Revision: 695144
- actually use the correct friggin patch...
- P10: security fix for CVE-2011-2748,2749

* Fri Apr 08 2011 Oden Eriksson <oeriksson@mandriva.com> 3:4.2.1-0.P1.1
+ Revision: 651971
- 4.2.1-P1
- drop one upstream added patch

* Wed Jan 19 2011 Eugeni Dodonov <eugeni@mandriva.com> 3:4.2.0-0.P2.2
+ Revision: 631680
- Added sample dhclient-exit-hooks, initially handling
  rfc3442_classless_static_routes (suggested in #62242).

* Thu Jan 06 2011 Oden Eriksson <oeriksson@mandriva.com> 3:4.2.0-0.P2.1mdv2011.0
+ Revision: 629100
- 4.2.0-P2
- bump release
- 4.2.0-P1

* Mon Aug 30 2010 Olivier Blin <blino@mandriva.org> 2:4.2.0-1mdv2011.0
+ Revision: 574440
- do not define again _GNU_SOURCE, now defined in default configure script
- 4.2.0
- LDAP patch merged upstream

* Mon Jul 12 2010 Eugeni Dodonov <eugeni@mandriva.com> 2:4.1.1-7mdv2011.0
+ Revision: 551267
- Get rid of some useless wait (rh bug #587070)

* Fri Jun 11 2010 Oden Eriksson <oeriksson@mandriva.com> 2:4.1.1-6mdv2010.1
+ Revision: 547867
- 4.1.1-P1

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 2:4.1.1-5mdv2010.1
+ Revision: 531983
- rebuild for new openssl

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 2:4.1.1-4mdv2010.1
+ Revision: 518419
- remove debug files from devel package

* Tue Mar 09 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2:4.1.1-3mdv2010.1
+ Revision: 517076
- set explicit runlevels in init script

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 2:4.1.1-2mdv2010.1
+ Revision: 511559
- rebuilt against openssl-0.9.8m

* Thu Feb 25 2010 Eugeni Dodonov <eugeni@mandriva.com> 2:4.1.1-1mdv2010.1
+ Revision: 511131
- Updated to 4.1.1.
  Rediff P0, P5, P6, P7.
  Drop P9 (merged upstream).
  Drop P10 (no longer needed).

* Wed Feb 17 2010 Eugeni Dodonov <eugeni@mandriva.com> 2:4.1.0p1-4mdv2010.1
+ Revision: 507051
- Updated ldap patch to use correct variables (#56028).

* Tue Jan 26 2010 Eugeni Dodonov <eugeni@mandriva.com> 2:4.1.0p1-3mdv2010.1
+ Revision: 496733
- Allow setting MTU if specified by the server (#57260).

* Wed Sep 23 2009 Oden Eriksson <oeriksson@mandriva.com> 2:4.1.0p1-2mdv2010.0
+ Revision: 447689
- P9: security fix for CVE-2009-1892

* Wed Jul 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2:4.1.0p1-1mdv2010.0
+ Revision: 396413
- 4.1.0p1

* Fri Jun 19 2009 Wanderlei Cavassin <cavassin@mandriva.com.br> 2:4.1.0-6mdv2010.0
+ Revision: 387320
- fixed lease file parsing for tokens never and epoch (closes mdv #50194)

  + Götz Waschk <waschk@mandriva.org>
    - fix URL

* Wed Mar 04 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2:4.1.0-5mdv2009.1
+ Revision: 348205
- added Patch7, as suggested by Andrey Borzenkov, which prevents
  dhclient-script from bringing interfaces down needlessly, which in turn
  works around bug #43441 (deassociation going unnoticed by wpa_supplicant,
  in the end causing the interface to not get an IP address)

* Thu Feb 19 2009 Frederic Crozat <fcrozat@mandriva.com> 2:4.1.0-4mdv2009.1
+ Revision: 342950
- Update patch6 with Fedora version which has been submitted upstream for inclusion

* Fri Jan 09 2009 Frederic Crozat <fcrozat@mandriva.com> 2:4.1.0-3mdv2009.1
+ Revision: 327771
- Patch6: no IPv6 is no longer a fatal error for dhclient

* Thu Jan 08 2009 Frederic Crozat <fcrozat@mandriva.com> 2:4.1.0-2mdv2009.1
+ Revision: 327169
- Update patch0 to correctly work with resolvconf

* Thu Jan 08 2009 Frederic Crozat <fcrozat@mandriva.com> 2:4.1.0-1mdv2009.1
+ Revision: 327047
- Release 4.1.0 (Mdv bug #46804)
- Remove detection of 64bits host at buildtime, configure is smart enough now
- Enable IPv6 support
- Regenerate patches 0, 5
- Remove patches 2 (merged upstream), 4 (useless)
- Patch1 (LDAP support) is now taked from Fedora, as well as source 9, 10, 11, 12

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2:3.0.7-2mdv2009.1
+ Revision: 316549
- rediffed one fuzzy patch
- fix build with -Werror=format-security (P5)

* Sun Jul 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2:3.0.7-1mdv2009.0
+ Revision: 234269
- update to new version 3.0.7
- Patch1: new version
- use %%_var instead of %%_localstatedir
- spec file clean

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2:3.0.6-6mdv2009.0
+ Revision: 220615
- rebuild

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed Mar 26 2008 Oden Eriksson <oeriksson@mandriva.com> 2:3.0.6-5mdv2008.1
+ Revision: 190309
- don't start it per default

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 2:3.0.6-4mdv2008.1
+ Revision: 157246
- rebuild with fixed %%serverbuild macro

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 2:3.0.6-3mdv2008.1
+ Revision: 137459
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot
    - fix typo in doc description

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Olivier Blin <blino@mandriva.org> 2:3.0.6-2mdv2008.1
+ Revision: 119077
- move rpm-helper requirements in post/preun instead of pre/postun when needed

* Tue Jul 10 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:3.0.6-1mdv2008.0
+ Revision: 50797
- new version

* Wed Jul 04 2007 Andreas Hasenack <andreas@mandriva.com> 2:3.0.5-8mdv2008.0
+ Revision: 48227
- use serverbuild macro (-fstack-protector-all)


* Wed Mar 28 2007 Olivier Blin <oblin@mandriva.com> 3.0.5-7mdv2007.1
+ Revision: 149230
- dhcpcd should start ldap (Daggett)

* Fri Mar 16 2007 Olivier Blin <oblin@mandriva.com> 2:3.0.5-6mdv2007.1
+ Revision: 144641
- drop useless perl(Win32API::Registry) requires exception
- move RFC/API/protocol doc in a dhcp-doc sub-package

* Sat Mar 10 2007 Olivier Blin <oblin@mandriva.com> 2:3.0.5-5mdv2007.1
+ Revision: 140432
- PEERGATEWAY support (#20806)

* Sat Mar 10 2007 Olivier Blin <oblin@mandriva.com> 2:3.0.5-4mdv2007.1
+ Revision: 140295
- default to NEEDHOSTNAME=no, as described in initscripts documentation

* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 2:3.0.5-3mdv2007.1
+ Revision: 107599
- make dhclient-script set DEVICE variable when no ifcfg file is present (to call resolvconf correctly)

* Tue Jan 02 2007 Olivier Blin <oblin@mandriva.com> 2:3.0.5-2mdv2007.1
+ Revision: 103318
- bump release
- do not call unknown /sbin/update-resolvrdv in dhclient-script
- set metric before creating resolv.conf (useful for resolvconf)

* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2:3.0.5-1mdv2007.1
+ Revision: 84730
- new version
  install configuration file under real name, not as sample

* Fri Sep 01 2006 Olivier Blin <oblin@mandriva.com> 2:3.0.4-2mdv2007.0
+ Revision: 59227
- add METRIC support in dhclient-script (from Fabrice Facorat, #23164)
- bunzip sources and patches
- Import dhcp

* Mon May 22 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0.4-1mdk
- 3.0.4
- added new rediffed ldap patch (P1)

* Mon Feb 06 2006 Olivier Blin <oblin@mandriva.com> 3.0.4-0.b2.8mdk
- use $'\n' in dhclient-script (required for initscripts >= 7.66,
  since change_resolv_conf doesn't use "echo -e" anymore)

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 3.0.4-0.b2.7mdk
- fix requires post and preun
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 3.0.4-0.b2.6mdk
- convert parallel init to LSB

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 3.0.4-0.b2.5mdk
- parallel init support

* Tue Dec 06 2005 Frederic Lepied <flepied@mandriva.com> 3.0.4-0.b2.4mdk
- use change_resolv_conf in dhclient-scripts to be able to do the right
thing wrt nscd.

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 3.0.4-0.b2.3mdk
- fix build on x86_64

* Thu Nov 24 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0.4-0.b2.2mdk
- exclude debug files in the -devel package, temporary solution

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0.4-0.b2.1mdk
- 3.0.4b2
- pass "-DLDAP_DEPRECATED" to the CFLAGS
- updated rediffed P1 (dhcp-3.0.3-ldap-patch)
- fix the chroot script so it won't touch the /etc/dhcpd.conf file

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0.3-3mdk
- rebuilt against new openldap-2.3.6 libs

* Sat Aug 06 2005 Michael Scherer <misc@mandriva.org> 3.0.3-2mdk
- fill a default config file

* Mon Aug 01 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0.3-1mdk
- 3.0.3
- fix deps
- drop the gcc343 patch (P3), it's fixed upstream
- use the %%mkrel macro

* Sat Apr 23 2005 Olivier Blin <oblin@mandriva.com> 3.0.2-2mdk
- do not make dhclient-script fail and return DENY return code when no
  config file for the interface is found (update and re-indent Patch0)

* Thu Feb 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.1-9mdk
- rebuild for ldap2.2_7

* Wed Feb 02 2005 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-8mdk
- back to standard 60 seconds timeout.

* Wed Feb 02 2005 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-7mdk
- default timeout to 5 seconds

* Fri Dec 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.1-6mdk
- new ldap patch
- renumber sources and patches
- bzip sources
- added P2 that allows us to run it chroot
- added S8 that makes it easier to chroot the server
- fixed S3 to make use of P2 & S8
- fix pid file location for the dhcpd daemon
- added P3 to make it build with latest cooker gcc (rock linux)
- misc spec file fixes

* Sat Jul 31 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-5mdk
- by default hostname is set

* Sat Jul 31 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-4mdk
- assign default gateway by interface (updated patch1)

* Fri Jul 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-3mdk
- only change the hostname if NEEDHOSTNAME=yes (updated patch1)

* Thu Jul 29 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.1-2mdk
- update ldap patch

* Thu Jul 29 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.0.1-1mdk
- 3.0.1

* Thu Jul 01 2004 Florin <florin@mandrakesoft.com> 3.0-1.rc14.2mdk
- bring back the ldap patch and buildrequires

* Tue Jun 29 2004 Florin <florin@mandrakesoft.com> 3.0-1.rc14.1mdk
- rebuild for cooker

* Tue Jun 22 2004 Vincent Danen <vdanen@mandrakesoft.com> 3.0-1.rc14.0.1.100mdk
- 3.0.1rc14
- security fixes for CAN-2004-0460 (VU#317350) and CAN-2004-0461 (VU#654390)

* Wed May 05 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.0-1.rc13.6mdk
- fix buildrequires

* Sat Apr 24 2004 Florin <florin@mandrakesoft.com> 3.0-1.rc13.5mdk
- add the dhcp-ldap support

